---
- hosts: all
  become: true
  gather_facts: True

  vars:
    aegir_install_method: git
    aegir_generate_makefile: True
    aegir_contrib_modules:
      - restclient
      - uuid
    aegir_custom_module_repos:
      oauth2_client: "http://git.drupal.org/project/oauth2_client.git"
      webhook: "http://git.drupal.org/project/webhook.git"
      hosting_webhooks: "https://gitlab.com/consensus.enterprises/aegir/hosting_webhooks.git"
    aegir_custom_module_versions:
      oauth2_client: 7.x-2.x
      webhook: 7.x-1.x
      hosting_webhooks: 7.x-1.x
    aegir_extra_modules:
      - hosting_tasks_extra
      - hosting_webhooks_azure
      - dblog
    aegir_platform_version: 7.x-3.x
    aegir_php_version: '7'
    aegir_http_service_type: nginx
    aegir_extra_config: True
    php_default_version_debian: "7.2"
    php_enable_php_fpm: True
    php_enable_webserver: False
    aegir_skynet_enable: True

    aegir_fix_permissions: true
    aegir_fix_ownership: true

    # Stop before site install, allowing for creation of an Aegir server image:
    aegir_stop_before_site_install: True
    aegir_frontend_url: aegir0.az
    aegir_admin_email: outgoing@consensus.enterprises

  pre_tasks:

    - name: Increase PHP CLI memory limit.
      include_role:
        name: consensus.utils
        tasks_from: php-cli-memory.yml

  roles:
    - geerlingguy.mysql
    - geerlingguy.git
    - geerlingguy.php
    - geerlingguy.composer
    - consensus.aegir

  tasks:

    - name: Generate one-time login link
      include_role:
        name: consensus.aegir
        tasks_from: login_link.yml
